
Foreman - Feature #16200

Support module namespacing for on-complete callback

08/19/2016 10:18 AM - Ondřej Pražák

Status: Rejected   

Priority: Normal   

Assignee: Ondřej Pražák   

Category:    

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3751

  

Description

bundle.js requires newly added js modules and makes them available through Webpack. Unfortunately, on-complete callback (

https://github.com/theforeman/foreman/blob/develop/app/assets/javascripts/application.js#L103) does not support modules because

window['a.b.c'] !== window['a']['b']['c']. Backward compatible support for module namespaces should be introduced for this callback.

History

#1 - 08/19/2016 10:21 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3751 added

#2 - 09/05/2016 04:02 AM - Dominic Cleal

- Status changed from Ready For Testing to Rejected

PR closed in favour of changes in #13047.
